package com.yida.data.system.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.yida.data.common.core.entity.system.EduSchoolInquireCommonQuestion;
import com.yida.data.common.core.entity.system.EduSchoolInquirePhone;
import com.yida.data.system.vo.FindPhonePageVO;

import java.util.List;

/**
 * @author ccl
 */
public interface EduInquireQuestionService extends IService<EduSchoolInquireCommonQuestion> {
    IPage<EduSchoolInquireCommonQuestion> findQuestionPage(Long labelId, Long deptId, Page objectPage,String question);

    IPage<FindPhonePageVO> findPhonePage(Long labelId, Long deptId, Page page,String schoolName);

    void removePhone(Long phoneId);

    void removeQuestion(Long questionId);

    void saveOrUpdatePhone(List<EduSchoolInquirePhone> phoneList);

    void saveOrUpdateQuestion(List<EduSchoolInquireCommonQuestion> questionList);

    EduSchoolInquirePhone findPhoneById(Long phoneId);

    EduSchoolInquireCommonQuestion findQuestionById(Long questionId);
}
